function prediction_nnet_sim(code)
%-----------------------------------------------------------------
%This simulates a number of trained networks and saves the results

num = 14;
trfun_dir = 'LM'; %must be catalexis of a training algorithm's name! i.e. BFG (for trainbfg), LM (for trainlm) etc
categ = {'Controls' 'FES'};

global cnt
%if called through train_loop function will work for all subjects
if (isempty(cnt)==1)
    clear global cnt;
    cnt = 0;
    while (cnt < 1) | (cnt > num)
        numstr = int2str(num);
        tmp = ['Simulate which subject? (1-' numstr '):   '];
        cnt = input(tmp);
    end
end
clear tmp numstr;

%load the appropriate matrix or return error
for i=1:2
    %opening matrices with positions of significant correlations
    cd('C:\MATLAB\work\NN-feature_extr');
    str2 = int2str(cnt);
    if cnt<10
        str2 = ['0' str2];
    end
    temp = ['input_matrix-' categ{i} '_' str2];
    load (temp);

    %load data matrices (peaks) from which will acquire specific data
    cd('C:\MATLAB\work\Peaks\Mean');
    temp = [code '_peaks'];
    load (temp);
    
    %find actual position of target for nnets
    tposA = find(c_amp == pos_a);
    tposL = find(c_lat == pos_l);
    
    %creating matrices of test set
    inputA = size(c_amp,2);
    inputL = size(c_lat,2);
    k1 = 1;
    j = 0;
    while j<120 & k1 <= inputA
        j = j + 1;
        if j==c_amp(k1)
            MATRIX_A(k1) = AMP(cnt,j);
            k1 = k1 + 1;
        end
    end
    k2 = 1;
    j = 0;
    while j<120 & k2 <= inputL
        j = j + 1;
        if j==c_lat(k2)
            MATRIX_L(k2) = LAT(cnt,j);
            k2 = k2 + 1;
        end
    end
    
    %change directory (according to training function)
    %and prepare txt files for output
    cd ('C:\MATLAB\work\NN-feature_extr\Prediction');
    cd(trfun_dir);
    if fopen('amplitude_results.txt') == -1
        txt = fopen('amplitude_results.txt','at');
        tmpstr = ['\t\t' categ{1} '\t\t' categ{2} '\n'];
        fprintf(txt,tmpstr);
    end
    fclose('all');
    if fopen('latency_results.txt') == -1
        txt = fopen('latency_results.txt','at');
        tmpstr = ['\t\t' categ{1} '\t\t' categ{2} '\n'];
        fprintf(txt,tmpstr);
    end
    fclose('all');    
  
    
    %AMPLITUDE NETWORK
    %test set - target
    t = MATRIX_A(tposA)';
    %test set - input
    MATRIX_A = empty1(MATRIX_A,tposA);
    p = MATRIX_A';
    %loading amplitude network
    temp = ['amp_' categ{i} '_' str2 '.mat'];
    load(temp);
    [Y] = sim(netA,p);
    E = abs(Y-t);
    restrA{i} = num2str(E);
    clear netA Y E t p MATRIX_A tposA c_amp pos_a;
        %for better looking output...
    %trimming restr for output
    j = size(restrA{i},2);
    while j >= 6
        restrA{i} = empty1(restrA{i},j);
        j = j - 1;
    end
    %adding zeros for output
    j = size(restrA{i},2);
    while j < 5
        restrA{i}(j) = '0';
        j = j + 1;
    end    
    
    %LATENCY NETWORK
    %test set - target
    t = MATRIX_L(tposL)';
    %test set - input
    MATRIX_L = empty1(MATRIX_L,tposL);
    p = MATRIX_L';
    %loading amplitude network    
    temp = ['lat_' categ{i} '_' str2 '.mat'];
    load(temp);
    [Y] = sim(netL,p);
    E = abs(Y-t);
    restrL{i} = num2str(E);
    clear netL Y E p t MATRIX_L tposL c_lat pos_l;
        %for better looking output...
    %trimming restr for output
    j = size(restrL{i},2);
    while j >= 6
        restrL{i} = empty1(restrL{i},j);
        j = j - 1;
    end
    %adding zeros for output
    j = size(restrL{i},2);
    while j < 5
        restrL{i}(j) = '0';
        j = j + 1;
    end
end

if size(code,2) <= 3
    hstr = '\t\t';
else
    hstr = '\t';
end
%saving amp result in text file
txt = fopen('amplitude_results.txt','at');
tmp_info_str = [code ' ' str2 hstr restrA{1} '\t\t' restrA{2} '\n'];
fprintf(txt, tmp_info_str);
fclose(txt);
clear tmp_info_str txt restr

%saving lat result in text file
txt = fopen('latency_results.txt','at');
tmp_info_str = [code ' ' str2 hstr restrL{1} '\t\t' restrL{2} '\n'];
fprintf(txt, tmp_info_str);
fclose(txt);